### Hierarchy

- DialogVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- deriveDialogIdsFromDialogName
- deriveDialogIdsFromDialogNameAndRecordId
- deriveDialogIdsFromDialogNameAndSuffix
- enclosedJsonObject
- propagateTenantIdAndSessionId
- visitAndSetDescription
- visitAndSetId
- visitAndSetRecordId
- visitAndSetReferringDialogId
- visitAndSetRootDialogId
- visitChildAt
- visitChildAtName
- visitChildAtNameAndSetId
- visitDescription
- visitDialogName
- visitId
- visitRecordId
- visitReferringObject
- propagateTenantIdAndSessionId
- visitAndSetId
- visitId

## Constructors

### constructor

- new DialogVisitor(value: string | object): DialogVisitor

- - Defined in proxy/DialogVisitor.ts:10

  #### Parameters

  - ##### value: string | object

  #### Returns DialogVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/DialogVisitor.ts:10

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/DialogVisitor.ts:42

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/DialogVisitor.ts:46

  #### Returns string

### Private deriveDialogIdsFromDialogName

- deriveDialogIdsFromDialogName(rootRecordId: string): void

- - Defined in proxy/DialogVisitor.ts:190

  #### Parameters

  - ##### rootRecordId: string

  #### Returns void

### deriveDialogIdsFromDialogNameAndRecordId

- deriveDialogIdsFromDialogNameAndRecordId(): void

- - Defined in proxy/DialogVisitor.ts:61

  The record id targeted by the root dialog (usually a Form) will be used to help derive new dialog ids for the root and all of its children. The derived dialog id is a concatenation of the dialogName with a '@' and the root record id.

  #### Returns void

### deriveDialogIdsFromDialogNameAndSuffix

- deriveDialogIdsFromDialogNameAndSuffix(suffix: string): void

- - Defined in proxy/DialogVisitor.ts:93

  Traverse this dialog and its children and derive their dailog ids by concatenating each dialog's dialogName with a '$' and the given suffix. Dialog ids ending withs a suffix are synthetic. Its possible that a dialog id may have a suffix and a specific record id. In this case the dialog id will contain a '$' and an '@' so that each field can be parsed separately.

  #### Parameters

  - ##### suffix: string

  #### Returns void

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/DialogVisitor.ts:50

  #### Returns any

### propagateTenantIdAndSessionId

- propagateTenantIdAndSessionId(tenantId: string, sessionId: string): void

- - Defined in proxy/DialogVisitor.ts:110

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns void

### visitAndSetDescription

- visitAndSetDescription(description: string): void

- - Defined in proxy/DialogVisitor.ts:125

  #### Parameters

  - ##### description: string

  #### Returns void

### visitAndSetId

- visitAndSetId(id: string): void

- - Defined in proxy/DialogVisitor.ts:137

  #### Parameters

  - ##### id: string

  #### Returns void

### visitAndSetRecordId

- visitAndSetRecordId(recordId: string): void

- - Defined in proxy/DialogVisitor.ts:178

  #### Parameters

  - ##### recordId: string

  #### Returns void

### visitAndSetReferringDialogId

- visitAndSetReferringDialogId(dialogId: string): void

- - Defined in proxy/DialogVisitor.ts:186

  #### Parameters

  - ##### dialogId: string

  #### Returns void

### visitAndSetRootDialogId

- visitAndSetRootDialogId(rootDialogId: string): void

- - Defined in proxy/DialogVisitor.ts:141

  #### Parameters

  - ##### rootDialogId: string

  #### Returns void

### visitChildAt

- visitChildAt(index: number): DialogVisitor

- - Defined in proxy/DialogVisitor.ts:145

  #### Parameters

  - ##### index: number

  #### Returns DialogVisitor

### visitChildAtName

- visitChildAtName(name: string): DialogVisitor

- - Defined in proxy/DialogVisitor.ts:149

  #### Parameters

  - ##### name: string

  #### Returns DialogVisitor

### visitChildAtNameAndSetId

- visitChildAtNameAndSetId(name: string, id: string): boolean

- - Defined in proxy/DialogVisitor.ts:165

  #### Parameters

  - ##### name: string

  - ##### id: string

  #### Returns boolean

### visitDescription

- visitDescription(): string

- - Defined in proxy/DialogVisitor.ts:121

  #### Returns string

### visitDialogName

- visitDialogName(): string

- - Defined in proxy/DialogVisitor.ts:129

  #### Returns string

### visitId

- visitId(): string

- - Defined in proxy/DialogVisitor.ts:133

  #### Returns string

### visitRecordId

- visitRecordId(): string

- - Defined in proxy/DialogVisitor.ts:174

  #### Returns string

### visitReferringObject

- visitReferringObject(): object

- - Defined in proxy/DialogVisitor.ts:182

  #### Returns object

### Static propagateTenantIdAndSessionId

- propagateTenantIdAndSessionId(dialog: object, tenantId: string, sessionId: string): void

- - Defined in proxy/DialogVisitor.ts:28

  #### Parameters

  - ##### dialog: object

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns void

### Static visitAndSetId

- visitAndSetId(dialog: object, id: string): void

- - Defined in proxy/DialogVisitor.ts:36

  #### Parameters

  - ##### dialog: object

  - ##### id: string

  #### Returns void

### Static visitId

- visitId(dialog: object): string

- - Defined in proxy/DialogVisitor.ts:32

  #### Parameters

  - ##### dialog: object

  #### Returns string

Generated using TypeDoc